Bug 374551 - Fix for resume from RAM on T43p
Fix for resume from RAM on T43p
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 07:55 EST by Adrian Reber
Modified: 2013-03-05 22:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 08:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Reber 2007-11-10 07:55:46 EST
After the upgrade to F8 resume from RAM does not work any longer. Following
addition to 20-video-quirk-pm-ibm.fdi helps:

      <!-- T43p -->
      <match key="system.hardware.version" string="ThinkPad T43p">
        <!-- Models 2668, 2669, 2678, 2679, 2686, 2687 use ATI graphics -->
        <match key="system.hardware.product" prefix="26">
          <merge key="power_management.quirk.vbe_post" type="bool">true</merge>
          <merge key="power_management.quirk.vbemode_restore"
type="bool">true</merge>
        </match>
        <!-- Models 1871, 1872, 1873, 1874, 1875, 1876 use Intel graphics -->
        <match key="system.hardware.product" prefix="18">
          <merge key="power_management.quirk.s3_bios" type="bool">true</merge>
          <merge key="power_management.quirk.s3_mode" type="bool">true</merge>
        </match>
      </match>
Comment 1 Adrian Reber 2007-11-10 07:59:52 EST
model for my T43p is 2668

I have no idea if there are T43p with an Intel card, so that the second part
might not be necessary.
Comment 2 Richard Hughes 2008-05-30 07:49:33 EDT
Does this fix still need applying using F9? if so, please email the hal
development mailing list and we'll review your quirk there. Thanks.
Comment 3 Adrian Reber 2008-05-30 08:07:55 EDT
It has been fixed with F9

Note You need to log in before you can comment on or make changes to this bug.